﻿<AML>
 <Item type="Method" id="234E05A8BECA4AD38E9738D768FF07A6" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			sop_SelectPropertyField
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	Set focus on Invoice No. 
	
Hooks:
	Type:	Form	:	pop_vendor_invoice
	Event:	Form Event ( nFormPopulated )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
//debugger;
var myInnovator = new Innovator();

var propertyName = "";
var itemType = document.thisItem.getType().toString().toLowerCase();
switch (itemType) {
    case 'pop_purchase_invoice':
        {
            propertyName = "pop_invoice_no";
        }
        break;
}

var divPropertyName = getFieldByName(propertyName).id;
var controlPropertyName = divPropertyName.substring(0, divPropertyName.indexOf("span"));
var PropertyField = document.getElementById(controlPropertyName);

PropertyField.focus();]]></method_code>
  <method_type>JavaScript</method_type>
  <name>sop_SelectPropertyField</name>
 </Item>
</AML>